{inputs, pkgs, ...}: 
{
  programs.kitty.enable = true;
  wayland.windowManager.hyprland = {
    enable = true;
    settings = {
      "$mod" = "SUPER";
      bind =
        [
          "$mod, F, exec, firefox"
          "$mod, return exec, anyrun"
          "$mod_SHIFT, return, exec, kitty"
          "$mod_SHIFT, q, kill"
          "$mod, s, exec, code"
        ];
    };

    plugins = [
      inputs.hyprland-plugins.packages.${pkgs.stdenv.hostPlatform.system}.hyprbars
      # inputs.hyprland-plugins.packages.${pkgs.stdenv.hostPlatform.system}.hyprmenu
      # Touch gestures: https://github.com/horriblename/hyprgrass
      # inputs.hyprland-plugins.packages.${pkgs.stdenv.hostPlatform.system}.hyprgrass
      # Virtual desktops: https://github.com/levnikmyskin/hyprland-virtual-desktops
      # inputs.hyprland-plugins.packages.${pkgs.stdenv.hostPlatform.system}.hyprland-virtual-desktops
    ];
  };

  # programs.anyrun = {
  #   enable = true;
  #   config = {
  #     x = { fraction = 0.5; };
  #     y = { fraction = 0.3; };
  #     width = { fraction = 0.3; };
  #     hideIcons = false;
  #     ignoreExclusiveZones = false;
  #     layer = "overlay";
  #     hidePluginInfo = false;
  #     closeOnClick = false;
  #     showResultsImmediately = false;
  #     maxEntries = null;

  #     plugins = [
  #       # An array of all the plugins you want, which either can be paths to the .so files, or their packages
  #       inputs.anyrun.packages.${pkgs.system}.applications
  #       inputs.anyrun.packages.${pkgs.system}.symbol
  #     ];
  #   };
  # };
}
